Help get this topic noticed by sharing it on Twitter, Facebook, or email.

MPC Essentials download

So im installing MPC elements on my laptop for my MPK Mini 2, and everytime I go to install the drivers, they all say installation failed. But it reads them as "Up to date"..what the hell do I do? is it just saying that for whatever reason? Maybe this is the whole issue I have? Do I need to install 1.6 1.7 and 1.8? I originally skipped to just 1.8.
1 person has
this question
+1
Reply
  • Hi Tyler,

    Thanks for posting!

    You do not need to install any of those drivers unless you have those products. If you have an MPC Element, you only need to install the drivers for the Element. You'd also have to make sure the device is plugged in while installing the drivers.

    It's also fine to install straight to 1.8, but maybe if you did this you wouldn't have gotten the drivers. You can always download and install them directly from the product page:

    MPC Element - Docs & Downloads

    Hope this helps!
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly indifferent, undecided, unconcerned happy, confident, thankful, excited